Project

General

Profile

Bug #12548

Java 9 / Java 10 compatibility: security exception for JS VM

Added by François ARMAND 8 months ago. Updated 7 months ago.

Status:
Released
Priority:
N/A
Category:
Web - Maintenance
Target version:
Severity:
User visibility:
Effort required:
Priority:
0

Description

Java 9/10 introduces new needed exceptions that must be specified, like it was in #12448. We really need to be able to specify them in a file out of rudder (#12450).


Related issues

Related to Rudder - Bug #12450: JS sandbox permission must be defined in a fileReleased
Related to Rudder - Bug #12448: Failed generation with "Could not initialize class javax.crypto.JceSecurity"Released
Related to Rudder - Bug #12557: Java 9 / Java 10 compatibility: javax/xml/bind removedReleased

Associated revisions

Revision 8ffa8c7e (diff)
Added by François ARMAND 8 months ago

Fixes #12548: New security exception for JS vm with openJDK 10

History

#1 Updated by François ARMAND 8 months ago

  • Status changed from New to In progress

#2 Updated by François ARMAND 8 months ago

  • Status changed from In progress to Pending technical review
  • Assignee changed from François ARMAND to Vincent MEMBRÉ
  • Pull Request set to https://github.com/Normation/rudder/pull/1920

#3 Updated by François ARMAND 8 months ago

  • Subject changed from New security exception for JS vm with openJDK 10 to Java 9 / Java 10 compatibility: security exception for JS vm and jee dependency
  • Description updated (diff)
  • Category changed from Security to Web - Maintenance
  • Status changed from Pending technical review to In progress
  • Assignee changed from Vincent MEMBRÉ to François ARMAND

#4 Updated by François ARMAND 8 months ago

  • Related to Bug #12450: JS sandbox permission must be defined in a file added

#5 Updated by François ARMAND 8 months ago

  • Related to Bug #12448: Failed generation with "Could not initialize class javax.crypto.JceSecurity" added

#6 Updated by François ARMAND 8 months ago

  • Subject changed from Java 9 / Java 10 compatibility: security exception for JS vm and jee dependency to Java 9 / Java 10 compatibility: security exception for JS VM

#7 Updated by François ARMAND 8 months ago

  • Status changed from In progress to Pending technical review
  • Assignee changed from François ARMAND to Vincent MEMBRÉ

#8 Updated by François ARMAND 8 months ago

  • Description updated (diff)

#9 Updated by François ARMAND 8 months ago

  • Related to Bug #12557: Java 9 / Java 10 compatibility: javax/xml/bind removed added

#10 Updated by François ARMAND 7 months ago

  • Status changed from Pending technical review to Pending release

#11 Updated by Benoît PECCATTE 7 months ago

  • Status changed from Pending release to Released

This bug has been fixed in Rudder 4.1.12, 4.2.6 and 4.3.1 which were released today.

Also available in: Atom PDF